Subject: Re: [rrg] Next topic: properties of identifiers

From: [email-masked]
Date: Sat, 11 Jul 2009 03:14:40 EDT

In einer eMail vom 10.07.2009 20:13:18 Westeuropäische Normalzeit schreibt  
[email-masked]:

This  makes sense.  Any viable solution to the routing scalability
problem  will have to use IP addresses as locators, since this is a
prerequisite for  incremental deployability.

-  Christian

Sorry Christian that I have a different opinion. 
At first, a locator, i.e. a location information, must be routable  
(aggregatable is something completely different) and, of course, it must be  
written somewhere, e.g. into the field for destination IP address,    and/or 
destination MAC-address and eventually, for some transitional time, into  a new 
additional header. Even LISP authors emphasized that the locator  addresses 
inside the LISP header could potentially make up a new  namespace. However it 
is the LISP supporters' decision to use  non-routable IP addresses instead, 
or better said, the same IP-address-based  routing technique which produced 
and produces the scalability problem.
 
Heiner

---

From: Christian Vogt <[email-masked]>
Date: Sat, 11 Jul 2009 16:47:23 -0700

Heiner -

How would map-and-encap schemes be incrementally deployable if they
didn't use IP addresses for both address realms?  Even translation-based
schemes need IP addresses as locators for backwards compatibility.

- Christian

On Jul 11, 2009, [email-masked] wrote:

> Sorry Christian that I have a different opinion. At first, a locator,
> i.e. a location information, must be routable (aggregatable is  
> something
> completely different) and, of course, it must be written somewhere,  
> e.g.
> into the field for destination IP address,   and/or destination
> MAC-address and eventually, for some transitional time, into a new
> additional header. Even LISP authors emphasized that the locator
> addresses inside the LISP header could potentially make up a new
> namespace. However it is the LISP supporters' decision to use
> non-routable IP addresses instead, or better said, the same
> IP-address-based routing technique which produced and produces the
> scalability problem.
>
> Heiner